Subject: Re: bug#35326: 26.1; vc-git-grep should pass -i like isearch

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Jun 2019 12:59:44 +0200

Juri Linkov <[email-masked]> writes:

> The confusion was caused by the original report mentioning `M-x grep'.
> In fact, `M-x grep' doesn't expand the template.  Only the following
> commands expand the template:
>
>   lgrep
>   rgrep
>   vc-git-grep
>
>> And should the vc-git version be more like grep or lgrep?
>
> vc-git-grep should be like other commands that expand the template,
> i.e. lgrep and rgrep, that the patch in the original report
> correctly achieves, so committing it would be an improvement
> since `git grep' supports most of grep options, including --color,
> -i and -w.

Makes sense.  I've now applied Antoine's patch to the trunk.

> PS: Regarding -w that I proposed previously, I could create
> a separate request, but here is a preliminary version:

[...]

> +                           (when grep-word-search
> +                             (push "-w" opts))

Hm...  I always just say \bfoo\b when I want the word-ish version, so I
don't know whether this really warrants a new command.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no